#include <stdio.h>
int main()
{
    int N;
    scanf("%d", &N);
    double niz_ai[N], niz_pi[N], P=0, max=0;
    for(int i=0;i<N;i++){
        scanf("%lf%lf",&niz_ai[i],&niz_pi[i]);
    }
    for(int s=0;s<N;s++){
        for(int i=0;i<N;i++){
            if(niz_pi[s]<=niz_pi[i]){
                P=P+(niz_ai[i]*(niz_pi[s]*0.01));
            }
        }
        if(P>max){
            max=P;
        }
        P=0;
    }
    printf("%lf",max);
}